Get execution status
curl --request GET \
--url https://api.agg.market/execution/status \
--header 'Authorization: Bearer <token>' \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/execution/status"
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-app-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agg.market/execution/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executionId": "<string>",
"quoteId": "<string>",
"orderIds": [
"<string>"
],
"terminal": true,
"errorReason": "<string>",
"pollAfterMs": 1,
"dagProgress": {
"dagRunId": "<string>",
"totalSteps": 1,
"currentSequence": 1,
"currentStepType": "<string>",
"completedSequences": [
2
],
"stepTypes": {},
"errorReason": "<string>"
},
"steps": [
{
"sequence": 2,
"stepType": "<string>",
"attempt": 1,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"errorReason": "<string>"
}
],
"orders": [
{
"orderId": "<string>",
"venue": "<string>",
"status": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"filledAmountRaw": "<string>",
"remainingAmountRaw": "<string>",
"quotedSharesRaw": "<string>",
"actualSharesRaw": "<string>",
"quotedToWinRaw": "<string>",
"actualToWinRaw": "<string>",
"quotedPriceRaw": "<string>",
"executionPriceRaw": "<string>",
"partialFillReason": "<string>",
"errorReason": "<string>",
"txHash": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Execution
Get execution status
Returns quote-scoped execution progress, DAG step state, and terminal order leg results.
GET
/
execution
/
status
Get execution status
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Query Parameters
Minimum string length:
1Available options:
live, paper Response
200
Available options:
created, routing, quoting, placing, confirming, filled, partially_filled, failed, cancelled, expired Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I